Name: sound-theme-beethoven-fifth
Version: 1.1.1
Release: 1%{?dist}
Summary: Sound theme based on Beethoven's fifth symphony
Group: User Interface/Desktops
Source0: http://elad.fedorapeople.org/sounds/sound-theme-beethoven-fifth-%{version}.tar.xz
License: Public Domain
URL: https://fedoraproject.org/wiki/SIGs/Sound
BuildArch: noarch

%description
Sound theme by the Fedora Sound SIG, 
based on Beethoven's fifth symphony, processed from a public domain recording.

%prep
%setup -q

%build
%{nil}

%package system-ready
Summary: Subpackge containing the system-ready sound file
Requires: sound-theme-freedesktop

%description system-ready
This subpackage contains the system-ready sound, installing it inside the freedesktop theme directory, so gdm would play it. This subpackage will be removed when we'll find an easy way to configure which sound theme gdm use.

%install
rm -rf $RPM_BUILD_ROOT
install -dD $RPM_BUILD_ROOT%{_datadir}/sounds/beethoven-fifth/stereo/
install -pm 644 index.theme $RPM_BUILD_ROOT%{_datadir}/sounds/beethoven-fifth/
cd stereo
install -pm 644 *.oga $RPM_BUILD_ROOT%{_datadir}/sounds/beethoven-fifth/stereo/
install -dD $RPM_BUILD_ROOT%{_datadir}/sounds/freedesktop/stereo/
install -pm 644 system-ready.oga $RPM_BUILD_ROOT%{_datadir}/sounds/freedesktop/stereo/


%post
/bin/touch --no-create %{_datadir}/sounds/beethoven-fifth %{_datadir}/sounds

%postun
/bin/touch --no-create %{_datadir}/sounds/beethoven-fifth %{_datadir}/sounds

%post system-ready
/bin/touch --no-create %{_datadir}/sounds/freedesktop %{_datadir}/sounds

%postun system-ready
/bin/touch --no-create %{_datadir}/sounds/freedesktop %{_datadir}/sounds

%files
%defattr(-,root,root)
%doc README
%dir %{_datadir}/sounds/beethoven-fifth
%dir %{_datadir}/sounds/beethoven-fifth/stereo
%{_datadir}/sounds/beethoven-fifth/index.theme
%{_datadir}/sounds/beethoven-fifth/stereo/*.oga

%files system-ready
%defattr(-,root,root)
%{_datadir}/sounds/freedesktop/stereo/system-ready.oga


%changelog
* Sat May 14 2011 Elad Alfassa <elad@fedoraproject.org> - 1.1.1-1
- Oops, index.theme was deleted from the tarball. This new tarball brings it back.

* Sat May 14 2011 Elad Alfassa <elad@fedoraproject.org> - 1.1-1
- New version, many sounds improved, some changed.

* Fri May 13 2011 Elad Alfassa <elad@fedoraproject.org> - 1.0-3
- A rather hackish and optional solution to make gdm play the system-ready sound

* Sun May 08 2011 Elad Alfassa <elad@fedoraproject.org> - 1.0-2
- Remove explicit dependency on /bin/touch

* Mon Apr 18 2011 Elad Alfassa <elad@fedoraproject.org> - 1.0-1
- Initial build


